/*
 * @(#)ISelect 31 October 2006
 *
 * @author Viera K. Proulx
 */
/**
 * An interface to represent a predicate that determines
 * whether the given object has the desired property.
 *
 */

public interface ISelect<T>{
  /**
   * Determine whether the given object has the desired property.
   * 
   * @param t the object to test.
   */
  public boolean select(T t);
}